Subject: Re: bug#38632: 27.0.50; Emacs process name is changed permanently upon creating a named thread

From: Robert Pluim <[email-masked]>
Date: Mon, 06 Jan 2020 15:43:39 +0100

>>>>> On Fri, 20 Dec 2019 21:13:59 +0200, Eli Zaretskii <[email-masked]> said:

    >> Date: Thu, 19 Dec 2019 17:11:24 +0200
    >> From: Eli Zaretskii <[email-masked]>
    >> Cc: [email-masked], [email-masked]
    >> 
    >> MS-Windows currently doesn't support setting thread names at all;
    >> maybe I'll write something soon to fix that.

    Eli> Now done.

    Eli> I'd appreciate testing on 64-bit Windows and in particular on Windows
    Eli> 10.

It builds fine on Windows 10 using mingw64, and I can create a
thread with a name, which 'info threads' in gdb then displays
correctly.

GNU/Linux version pushed to emacs-27.

Robert